gdcm::network::PDataTFPDU Class Reference

PDataTFPDU. More...

`#include <gdcmPDataTFPDU.h>`

Inheritance diagram for gdcm::network::PDataTFPDU:
[legend]
Collaboration diagram for gdcm::network::PDataTFPDU:
[legend]

## Public Types

typedef std::vector< PresentationDataValue >::size_type | SizeType

## Public Member Functions

| PDataTFPDU ()
void | AddPresentationDataValue (PresentationDataValue const &pdv)
SizeType | GetNumberOfPresentationDataValues () const
PresentationDataValue const & | GetPresentationDataValue (SizeType i) const
bool | IsLastFragment () const override
void | Print (std::ostream &os) const override
std::istream & | Read (std::istream &is) override
size_t | Size () const override
const std::ostream & | Write (std::ostream &os) const override
Public Member Functions inherited from gdcm::network::BasePDU
virtual | ~BasePDU ()=default

## Protected Member Functions

std::istream & | ReadInto (std::istream &is, std::ostream &os)

## Detailed Description

PDataTFPDU.

Table 9-22 P-DATA-TF PDU FIELDS

## Member Typedef Documentation

## SizeType

typedef std::vector<PresentationDataValue>::size_type gdcm::network::PDataTFPDU::SizeType

## Constructor & Destructor Documentation

## PDataTFPDU()

gdcm::network::PDataTFPDU::PDataTFPDU | ( |  | ) |

## Member Function Documentation

## AddPresentationDataValue()

void gdcm::network::PDataTFPDU::AddPresentationDataValue | ( | PresentationDataValue const & | pdv | ) |

inline

References Size().

## GetNumberOfPresentationDataValues()

SizeType gdcm::network::PDataTFPDU::GetNumberOfPresentationDataValues | ( |  | ) | const

inline

## GetPresentationDataValue()

PresentationDataValue const & gdcm::network::PDataTFPDU::GetPresentationDataValue | ( | SizeType | i | ) | const

inline

## IsLastFragment()

bool gdcm::network::PDataTFPDU::IsLastFragment | ( |  | ) | const

override virtual

Implements gdcm::network::BasePDU.

## Print()

void gdcm::network::PDataTFPDU::Print | ( | std::ostream & | os | ) | const

override virtual

Implements gdcm::network::BasePDU.

## Read()

std::istream & gdcm::network::PDataTFPDU::Read | ( | std::istream & | is | ) |

override virtual

Implements gdcm::network::BasePDU.

## ReadInto()

std::istream & gdcm::network::PDataTFPDU::ReadInto | ( | std::istream & | is,
|  | std::ostream & | os )

protected

## Size()

size_t gdcm::network::PDataTFPDU::Size | ( |  | ) | const

override virtual

Implements gdcm::network::BasePDU.

Referenced by AddPresentationDataValue().

## Write()

const std::ostream & gdcm::network::PDataTFPDU::Write | ( | std::ostream & | os | ) | const

override virtual

Implements gdcm::network::BasePDU.

The documentation for this class was generated from the following file:

- gdcmPDataTFPDU.h